/***************************************************************************
 *   cthost.h                                                              *
 *   --------------------------------------------------------------------  *
 *   CT Host Header                                                        *
 *   --------------------------------------------------------------------  *
 *   Copyright (C) 1999, Gary Meyer <gary@meyer.net>                       *
 *   --------------------------------------------------------------------  *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 ***************************************************************************/

#ifndef CTHOST_H
#define CTHOST_H

// Do not introduce any Qt or KDE dependencies into the "CT"-prefixed classes.
// I want to be able to reuse these classes with another GUI toolkit. -GM 11/99

//#include <vector>
#include <string>
#include <qptrlist.h>
#include <qstring.h>

#include "ctevery.h"
#include "ctonce.h"
#include "ctcron.h"

//class CTCron;
//class CTEvery;
//class CTOnce;

/**
  * The host machine, or computer (encapsulation of crontab files on the
  * host).
  *
  * If the user is the root user, the cron vector will have a member for
  * each user of the host plus one for the system crontab.
  *
  * If the user is a non-root user, there will be only one member in the
  * cron vector.
  */
class CTHost
{
public:

  CTHost();

  ~CTHost();

/**
  * Indicates whether or not the user is the root user.
  */
  bool root() const;

  QPtrList<CTCron> cron;
   //cron
  QPtrList<CTEvery> every_cron;
  //hourly,daily,monthly,weekly ....
  QPtrList<CTOnce>  once_cron;
   //at

  void set_every();
  //趨dailyȵʱ
  void judge_everytime();
  //жdailyȵʱǷȷ
  bool every_state;
    //dailyȵʱ״̬,  true ȷ  false 
  void set_everytime();
/**
  * do  at operation.
  */
  void add_once(QString& a_time,QString& a_con);
  void read_once();

  //
  bool able;  // false no true yes

  void del_file();
  
private:

/**
  * Copy construction not allowed.
  */
  CTHost(const CTHost& source);

/**
  * Assignment not allowed
  */
  void operator = (const CTHost& source);

/**
  * Factory create a cron table.  Appends to the end of cron.
  */
  CTCron* createCTCron(bool _syscron = false, QString _login = "");

};



#endif // CTHOST_H
